com.hazelcast.crdt

## Class CRDTDataSerializerHook

- java.lang.Object
- - com.hazelcast.crdt.CRDTDataSerializerHook

- All Implemented Interfaces:
    com.hazelcast.internal.serialization.DataSerializerHook

      public final class CRDTDataSerializerHook
      extends Object
      implements com.hazelcast.internal.serialization.DataSerializerHook

  Serialization constants for all CRDT related objects

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CRDT_TIMESTAMPED_LONG` The constant for the PNCounter `CRDTTimestampedLong`
    `static int` | `F_ID` The CRDT (de)serializer factory ID
    `static int` | `PN_COUNTER` The (de)serialization constant for a PNCounter implementation
    `static int` | `PN_COUNTER_ADD_OPERATION` The constant for the PNCounter `AddOperation`
    `static int` | `PN_COUNTER_GET_OPERATION` The constant for the PNCounter `GetOperation`
    `static int` | `PN_COUNTER_REPLICATION` The (de)serialization constant for a PNCounter replication operation

    - ### Fields inherited from interface com.hazelcast.internal.serialization.DataSerializerHook

      `F_ID_OFFSET_HIBERNATE, F_ID_OFFSET_WEBMODULE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CRDTDataSerializerHook()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataSerializableFactory` | `createFactory()`
    `int` | `getFactoryId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### F_ID

          public static final int F_ID

      The CRDT (de)serializer factory ID

    - #### PN_COUNTER_REPLICATION

          public static final int PN_COUNTER_REPLICATION

      The (de)serialization constant for a PNCounter replication operation
      See Also:
        Constant Field Values

    - #### PN_COUNTER

          public static final int PN_COUNTER

      The (de)serialization constant for a PNCounter implementation
      See Also:
        Constant Field Values

    - #### PN_COUNTER_ADD_OPERATION

          public static final int PN_COUNTER_ADD_OPERATION

      The constant for the PNCounter `AddOperation`
      See Also:
        Constant Field Values

    - #### PN_COUNTER_GET_OPERATION

          public static final int PN_COUNTER_GET_OPERATION

      The constant for the PNCounter `GetOperation`
      See Also:
        Constant Field Values

    - #### CRDT_TIMESTAMPED_LONG

          public static final int CRDT_TIMESTAMPED_LONG

      The constant for the PNCounter `CRDTTimestampedLong`
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CRDTDataSerializerHook

          public CRDTDataSerializerHook()

  - ### Method Detail

    - #### getFactoryId

          public int getFactoryId()

      Specified by:
        `getFactoryId` in interface `com.hazelcast.internal.serialization.DataSerializerHook`

    - #### createFactory

          public DataSerializableFactory createFactory()

      Specified by:
        `createFactory` in interface `com.hazelcast.internal.serialization.DataSerializerHook`

Copyright © 2018. All rights reserved.